package com.arms.api.analysis.scope.service;


import com.arms.api.analysis.scope.model.dto.ScopeDTO;
import com.arms.api.analysis.scope.model.vo.*;

import java.util.List;

public interface AnalysisScope {

    List<CircularPackingChartVO> getCircularPackingChartDataV2(ScopeDTO scopeDTO);

    List<TreeBarIssueVO> treeBarData(ScopeDTO scopeDTO);
    List<TreeBarIssueVO> treeBarDataV2(ScopeDTO scopeDTO);

    List<PdServiceVersionsAndReqVO> getPdServiceVersionsAndReq(ScopeDTO scopeDto);

    List<IssueVO> getVersionsAndIssuList(ScopeDTO scopeDTOBase);

    List<IssueVO> getIssueList(ScopeDTO scopeDTO);

    List<NetworkChartExcelDataVO> getNetworkChartExcelData(ScopeDTO scopeDTO);

    List<ReqDataTableIssuesVO> getDataTableIssues(ScopeDTO scopeDTO);
}
